define("wolfRunComponentsGameControllerDeclaration", ["componentmodelComponentApi", "slotModelApi", "reelsApi", "gameLayoutApi", "wolfRunComponentsWinlinesPort", "clientkernelEventbusApi", "wolfRunSpaghettiPort", "betPanelApi", "moneyApi", "wolfRunComponentsAnimationPort"],
    function(componentmodelComponentApi, slotModelApi, reelsApi, gameLayoutApi, wolfRunComponentsWinlinesPort, clientkernelEventbusApi, wolfRunSpaghettiPort, betPanelApi, moneyApi, wolfRunComponentsAnimationPort) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof wolfRunComponentsGameControllerDeclaration == 'undefined') {
            var wolfRunComponentsGameControllerDeclaration = {};
        };
        wolfRunComponentsGameControllerDeclaration.GameControllerDeclaration = function() {};
        wolfRunComponentsGameControllerDeclaration.GameControllerDeclaration = ck_implements(wolfRunComponentsGameControllerDeclaration.GameControllerDeclaration, componentmodelComponentApi.IComponentDeclaration);
        wolfRunComponentsGameControllerDeclaration.GameControllerDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        wolfRunComponentsGameControllerDeclaration.GameControllerDeclaration.__name__ = ["wolfRunComponentsGameControllerDeclaration", "GameControllerDeclaration"];
        wolfRunComponentsGameControllerDeclaration.GameControllerDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        wolfRunComponentsGameControllerDeclaration.GameControllerDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        wolfRunComponentsGameControllerDeclaration.GameControllerDeclaration.prototype.getImplementedPorts = function() {
            return [];
        };
        wolfRunComponentsGameControllerDeclaration.GameControllerDeclaration.prototype.getUsedPorts = function() {
            return [betPanelApi.IBetPanelPort, slotModelApi.ISlotModelPort, reelsApi.IReelsPort, gameLayoutApi.IGameLayoutPort, wolfRunComponentsWinlinesPort.IWinLinesPort, wolfRunComponentsAnimationPort.IAnimationPort, wolfRunSpaghettiPort.ISpaghettiPort];
        };
        wolfRunComponentsGameControllerDeclaration.GameControllerDeclaration.prototype.__class__ = wolfRunComponentsGameControllerDeclaration.GameControllerDeclaration;
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        return {
            exports: wolfRunComponentsGameControllerDeclaration
        };
    });
//# sourceURL=wolfRunGameControllerDeclaration.js